| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataProvider::PipelineInfo Struct Reference

Pipeline info. More...

`#include <DataProviderPipeline.qc.dox.h>`

## Public Attributes
bool | bulk
| Flag that indicates if the pipeline is capable of bulk record processing.
date | duration
| Total time processing end to end.
float | duration_secs
| Total time processing end to end as a floating-point value in durationSecondsFloat.
string | name
| The name of the pipeline.
int | num_queues
| Number of pipeline queues.
int | record_count
| Number of input records submitted.
float | recs_per_sec
| Records processed per second end to end.
*date | start_time
| Start of processing.
string | status
| Pipeline status.
*date | stop_time
| Stop time for processing.

## Detailed Description

Pipeline info.

## Member Data Documentation

## ◆ bulk

bool DataProvider::PipelineInfo::bulk

Flag that indicates if the pipeline is capable of bulk record processing.

See also
  Data Provider Pipeline Bulk Processing

## ◆ status

string DataProvider::PipelineInfo::status

Pipeline status.

See also
  Pipeline Status Codes for possible values